Package org.eclipse.ui.internal

# Class ActionSetMenuManager

java.lang.Object
org.eclipse.jface.action.SubContributionManager
org.eclipse.jface.action.SubMenuManager
org.eclipse.ui.internal.ActionSetMenuManager

All Implemented Interfaces:
  `IContributionItem`, `IContributionManager`, `IMenuManager`

public class ActionSetMenuManager extends SubMenuManager
An `EditorMenuManager` is used to sort the contributions made by an editor so that they always appear after the action sets.

## Constructor Summary

Constructors
Constructor
Description
`ActionSetMenuManager(IMenuManager mgr, String actionSetId)`
Constructs a new editor manager.

## Method Summary

Modifier and Type
Method
Description
`IContributionItem`
`find(String id)`
Returns the item passed to us, not the wrapper.
`String`
`getActionSetId()`
`IContributionItem[]`
`getItems()`
Returns all contribution items known to this manager.
`String`
`toString()`
`protected SubContributionItem`
`wrap(IContributionItem item)`
Wraps a contribution item in a sub contribution item, and returns the new wrapper.
`protected SubMenuManager`
`wrapMenu(IMenuManager menu)`
Wraps a menu manager in a sub menu manager, and returns the new wrapper.

### Methods inherited from class org.eclipse.jface.action.SubMenuManager

`addMenuListener, dispose, disposeManager, fill, fill, fill, fill, findMenuUsingPath, findUsingPath, getId, getParentMenuManager, getRemoveAllWhenShown, getWrapper, isDynamic, isEnabled, isGroupMarker, isSeparator, removeAll, removeMenuListener, saveWidgetState, setParent, setRemoveAllWhenShown, setVisible, update, update, update, updateAll`

### Methods inherited from class org.eclipse.jface.action.SubContributionManager

`add, add, appendToGroup, appendToGroup, getOverrides, getParent, insertAfter, insertAfter, insertBefore, insertBefore, isDirty, isEmpty, isVisible, itemAdded, itemRemoved, items, markDirty, prependToGroup, prependToGroup, remove, remove, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.action.IContributionItem

`isDirty, isVisible`

### Methods inherited from interface org.eclipse.jface.action.IContributionManager

`add, add, appendToGroup, appendToGroup, getOverrides, insertAfter, insertAfter, insertBefore, insertBefore, isDirty, isEmpty, markDirty, prependToGroup, prependToGroup, remove, remove`

## Constructor Details

### ActionSetMenuManager

public ActionSetMenuManager(IMenuManager mgr, String actionSetId)
Constructs a new editor manager.

## Method Details

### find

public IContributionItem find(String id)
Returns the item passed to us, not the wrapper. In the case of menu's not added by this manager, ensure that we return a wrapper for the menu.

Specified by:
  `find` in interface `IContributionManager`
Overrides:
  `find` in class `SubMenuManager`
Parameters:
  `id` - of the `IContributionItem`
Returns:
  the contribution item, or `null` if no item with the given id can be found

### getActionSetId

public String getActionSetId()

Returns:
  Returns the actionSetId.

### getItems

public IContributionItem[] getItems()
Description copied from interface: `IContributionManager`
Returns all contribution items known to this manager.

Specified by:
  `getItems` in interface `IContributionManager`
Overrides:
  `getItems` in class `SubContributionManager`
Returns:
  a list of contribution items

### wrap

protected SubContributionItem wrap(IContributionItem item)
Description copied from class: `SubContributionManager`
Wraps a contribution item in a sub contribution item, and returns the new wrapper.

Overrides:
  `wrap` in class `SubContributionManager`
Parameters:
  `item` - the contribution item to be wrapped
Returns:
  the wrapped item

### wrapMenu

protected SubMenuManager wrapMenu(IMenuManager menu)
Description copied from class: `SubMenuManager`
Wraps a menu manager in a sub menu manager, and returns the new wrapper.

Overrides:
  `wrapMenu` in class `SubMenuManager`
Parameters:
  `menu` - the menu manager to wrap
Returns:
  the new wrapped menu manager

### toString

public String toString()

Overrides:
  `toString` in class `Object`